> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete bot template

> Deletes a bot template.

The bots associated with the template will be deleted only if `affect_existing_installations` is set to `true`.

**Required scopes:** `bots.templates:rw`


## OpenAPI

````yaml /api/configuration/v3.7/openapi.json post /action/delete_bot_template
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.7
servers:
  - url: https://api.livechatinc.com/v3.7/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/delete_bot_template:
    post:
      tags:
        - Bots
      summary: Delete bot template
      description: >-
        Deletes a bot template.


        The bots associated with the template will be deleted only if
        `affect_existing_installations` is set to `true`.
      operationId: delete-bot-template
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteBotTemplateRequest'
            example:
              id: 505591fc9fc2d6e92798bed7d9d8f079
              owner_client_id: 238ac5c3c3628210aca289c6d700d2c1
      responses:
        '200':
          description: Bot template deleted successfully.
components:
  schemas:
    DeleteBotTemplateRequest:
      type: object
      required:
        - id
        - owner_client_id
      properties:
        id:
          type: string
          description: The bot template ID.
        owner_client_id:
          type: string
          description: >-
            The Client ID that owns the bot template. Must be owned by your
            organization.
        affect_existing_installations:
          type: boolean
          description: >-
            If set to `true`: a bot based on this template will be deleted from
            all licenses that have the given application installed.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````